#ifndef PTZ0401_CONTROL_H__
#define PTZ0401_CONTROL_H__


/* ===================== 轴结构体与全局变量 ===================== */
// 增加了限位属性，便于在算法内部强制约束
typedef struct {
    float angle;        // 当前角度
    float target;       // 目标角度
    float speed;        // 当前速度
    float min_limit;    // 最小限位
    float max_limit;    // 最大限位
} ServoAxis;

void device_ptz_pwm_task_threadpoll_init();

void pwm_PTZ_hz();
void PTZ_pwm_init();
void PTZ_pwm_change(unsigned char *buf) ;
void ptz_pwm_stop();
#endif